# Class MusicPlayer

java.lang.Object
MusicPlayer

public class MusicPlayer extends Object
Classe contenant un lecteur de musique simple qui permet de jouer et d'arrêter la musique.

## Constructor Summary

Constructors
Constructor
Description
`MusicPlayer(String filePath)`
Construit un MusicPlayer avec le chemin de fichier spécifié.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isPlaying()`
Vérifie si la musique est en train de jouer actuellement.
`void`
`play()`
Démarre la lecture de la musique.
`void`
`stop()`
Arrête la lecture de la musique.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MusicPlayer

public MusicPlayer(String filePath)
Construit un MusicPlayer avec le chemin de fichier spécifié.

Parameters:
  `filePath` - Le chemin du fichier musical à jouer.

## Method Details

### play

public void play()
Démarre la lecture de la musique.

### stop

public void stop()
Arrête la lecture de la musique.

### isPlaying

public boolean isPlaying()
Vérifie si la musique est en train de jouer actuellement.

Returns:
  true si la musique est en train de jouer, false sinon.